/*---------------------- reverse.cpp -----------------------------------
  Given a Lstring, produce another Lstring in reverse order.
  For example, given "wonder" return "rednow".
  Note: function reverse() has many features that you might
  	expect to find in other string processing functions,
  	such as upto() or replace().
  	Note the use of a constructor to create an output Lstring,
  	the use of a loop to go through the input Lstring,
  	and subscript operators to inspect individual characters.
  Programmer: Jesse Thilo
  For chapter 11 of "The Universal Machine"
  Copyright (C) WCB/McGraw-Hill, 1998
---------------------------------------------------------------------*/
#include <iostream.h>
#include "\umach\cpp\libfiles\Lstring.h"

Lstring reverse(Lstring in)
//returns Lstring whose characters reverse order of Lstring in
{ Lstring out(in.length()); //construct same size Lstring
  int i=0;  	  		//subscript for definite iteration
  while (i < out.length())	//for each character of Lstring in
  //invariant: 0 <= i < in.length()
  { 
    out[out.length()-1-i] = in[i]; //insert char from in to out
    i= i+1;   //variant: increment i by 1
  }
  return out; //reversed Lstring 	
}

//add upto() here?

void main()
{
  //test reverse()
  Lstring test="wonder";
  cout << "reverse of 'wonder' is '" << reverse("wonder") << "'\n";
  cout << "Enter a string to reverse:";
  cin >> test;
  cout << "reverse of '" << test << "' is '" << reverse(test) << "'\n";

  //test upto() here?
}
