/*--------------------- Planet.h: Planet class ----------------------
  class Planet models a few features of planets.
  (Clearly this is an extreme simplification of astronomy; the idea
  is to illustrate how C++ can model a class of objects.)
  Implementation of constructor and member functions is in planet.cc.
  Test driver for this class is in planetst.cc.
  Programmer: John Chapman
  For chapter 14 of "The Universal Machine" (multimedia)
  Copyright (C) WCB/McGraw-Hill, 1998
--------------------------------------------------------------------*/
#include <math.h>
#include <stdio.h>
#include <iostream.h>

class Planet{
  public:
    Planet(float rad);       //constructor
    float volume();          //public member functions
    float surface_area();
  private:                   
    float radius;	     //private data member
};



