/*------------------------- change3.cc ------------------------------
  Given price and amount tendered,
     return change in smallest combination of
     dollars, quarters, dimes, nickels and pennies.
  Programmer: Glenn D. Blank
  For chapter 3 of "The Universal Machine"
  Copyright (C) WCB/McGraw-Hill, 1998
--------------------------------------------------------------------------*/
#include <iostream.h>
void main()
{
  //Prompt and get input from user
  float price; 	   //price of item
  float tendered;  //amount tendered for item
  cout << "Enter price of item in dollars.cents:";
  cin >> price;
  cout << "Enter amount tendered (more than price) in dollars.cents:";
  cin >> tendered;

  //Compute change
  float change = tendered - price;  //Assuming tendered > price;
  int dollars = int(change);  //Dollars is whole number part of change
  int balance = int(change)*100 - dollars; //Compute balance in cents
  int quarters = balance / 25;	//Quarters are 25 cents
  balance = balance % 25;	//Compute balance as remainder
  int dimes = balance / 10; 	//Dimes are 10 cents
  balance = balance % 10;
  int nickels = balance / 5;	//Nickels are 5 cents
  balance = balance % 5;

  //Report results
  cout << "Your change is $" << change << endl;
  cout << dollars << " dollars, " << quarters << " quarters, "
	  << dimes << " dimes, " << nickels << " nickels and "
	  << balance << " pennies.\nThank you very much!" << endl;
}
