/*----------------------------- weight.cpp ---------------------------
  Given: a user's weight in pounds,
    output: the equivalent weight in kilograms.
  Programmer: Glenn D. Blank
  For chapter 3 of "The Universal Machine"
  Copyright (C) WCB/McGraw-Hill, 1998
--------------------------------------------------------------------*/
#include <iostream.h>

void main()
{
  int pounds;   //user's weight (read) in pounds
  float kilos;  //user's weight computed in kilograms
  const float kilosRatio=2.2; //for pounds to kilograms conversion

  //prompt for and read pounds
  cout << "What is your weight in pounds? ";
  cin >> pounds;

  //calculate kilograms
  kilos = pounds / kilosRatio;

  //output results
  cout << "Your weight is " << kilos << " kilos" << endl;

  //add an extra input line to prevent BCW from erasing DOS box!
  cout << "Enter any number to continue... ";
  cin >> pounds;
}
