/*--------------------------- atm_menu.cpp: --------------------------
  Rapid prototype for an ATM menu for transactions and accounts.
  Illustrates:
	menu loops giving user many chances to choose options;
	nested loop with account choice within transaction choice;
	and multi-branching if testing for user input.
  Programmer: Glenn D. Blank
  For chapter 7 of "The Universal Machine"
  Copyright (C) WCB/McGraw-Hill, 1998
-------------------------------------------------------------------*/
#include <iostream.h>
#include <ctype.h>

void main()
{
  //menu loop until transactionChoice is Q
  char transactionChoice='?'; //user's choice, in {D,d,W,w,Q,q}
  //initialize to '?' so menu's entry will be trivially true

  while (transactionChoice != 'Q')
  { cout << "Select deposit, withdraw, or quit (d, w, q): "; //prompt
    cin >> transactionChoice;
    transactionChoice = toupper(transactionChoice);
    if (transactionChoice == 'D' || transactionChoice == 'W')
    { //menu loop until accountChoice is Checking or Savings
      char accountChoice='?';  //choice, in {C,c,S,s}
      while (accountChoice != 'C' && accountChoice != 'S')
      { cout << "Select checking or savings (c or s): "; //prompt
        cin >> accountChoice;
        accountChoice = toupper(accountChoice);

        //based on choices, determine action
        if (transactionChoice == 'D' && accountChoice == 'C') 
	   cout << "deposit to checking\n";
        else if (transactionChoice == 'D' && accountChoice == 'S') 
	   cout << "deposit to saving\n";
        else if (transactionChoice == 'W' && accountChoice == 'C') 
	   cout << "withdraw from checking\n";
        else if (transactionChoice == 'W' && accountChoice == 'S') 
	   cout << "withdraw from savings\n";
      } //loop for accountChoice
    } //if not Quit  
  } //loop for transactionChoice
} //main()
