/*--------------------------- nested.cc ------------------------------
  Illustrates a nested loop pattern,
    with one definite loop nested within another
  Programmer: John Chapman and Glenn D. Blank
  For chapter 7 of "The Universal Machine" (multimedia)
  Copyright (C) WCB/McGraw-Hill, 1998
--------------------------------------------------------------------*/
#include <iostream.h>

int main()
{
  int x=10;  //initialize outer loop counter
  while (x < 15)
  //invariant: 10 <= x < 15
  { cout << "x^2 = " << (x*x) << endl;
    cout << "x^2+n, where n is an integer from 1-5" << endl;
    int n=1; //initialize inner loop counter
    while (n <= 5)
    //invariant: 1 <= n <= 5
    { cout << "  " << (x*x+n);
      n++;   //increment inner loop counter
    }
    cout << endl;
    x++;     //increment outer loop counter
  }
}
