/*--------------------- Planet.cc: Planet class ----------------------
  class Planet models a few features of planets.
  (Clearly this is an extreme simplification of astronomy; the idea
  is to illustrate how C++ can model a class of objects.)
  Class declaration is in planet.h, test driver in planetst.cc.
  Programmer: John Chapman
  For chapter 14 of "The Universal Machine" (multimedia)
  Copyright (C) WCB/McGraw-Hill, 1998
--------------------------------------------------------------------*/
#include "Planet.h"

const float Pi=3.14159;

//Class::Constructor(parameters)
Planet::Planet(float rad)  //constructor
{
  radius = rad; //initialize data member radius
}

//returnType Class::functionName()
float Planet::volume()
{
  float vol;
  vol = 4/3*Pi*pow(radius,3); //compute the volume
  return vol;
}

float Planet::surface_area()
{
  float area;
  area = 4*Pi*pow(radius,2); //compute the surface area.
  return area;
}

