/*------------------ grades.cc: A course grade program ---------------
  Compute a student's numeric and letter grade in a course,
	given scores on homework assignments, quizzes, and final exam,
	each of which has a relative weight  
  Programmer: Glenn D. Blank
  For chapter 7 of "The Universal Machine"
  Copyright (C) WCB/McGraw-Hill, 1998
--------------------------------------------------------------------*/
#include <iostream.h>

void main()
{
   int hw1,hw2,hw3,hw4,hw5,hw6;	//homework scores from user
   int quiz1,quiz2;			//quiz scores from user
   int exam;				//final exam score from user
   int finalGrade;	//numeric grade calculated using above weights
   char letterGrade; //character assigned to final grade

   const float hwWeight=0.40; 	//fraction of total for homework
   const float quizWeight=0.20;	//fraction of total grade for quizzes
   const float examWeight=0.40;	//fraction of grade for final exam

   //prompt user for 6 homework scores
   cout << "----- Megabyte University grade program -----" << endl;
   cout << "Enter 6 homework scores (each between 0 and 100):";
   cin >> hw1 >> hw2 >> hw3 >> hw4 >> hw5 >> hw6;
   //prompt user for 2 quiz scores
   cout << "Enter 2 quiz scores (each between 0 and 100):";
   cin >> quiz1 >> quiz2;
   //prompt user for final exam score
   cout << "Enter final exam score (between 0 and 100):";
   cin >> exam;

   //compute final grade
   int hwAvg=(hw1+hw2+hw3+hw4+hw5+hw6)/6; //average of homework
   int quizAvg=(quiz1+quiz2)/2;	    	  //average of quiz scores
   finalGrade=int(hwAvg*hwWeight+quizAvg*quizWeight+exam*examWeight);
   //Note: int() convert float expression to int, truncating remainder
   
   //select letter grade based on final grade
   if (finalGrade >= 90)
	 letterGrade='A';
   else if (finalGrade >= 80)
	 letterGrade='B';
   else if (finalGrade >= 70)
	 letterGrade='C';
   else if (finalGrade >= 60)
	 letterGrade='D';
   else letterGrade='F';

   //display final grade and letter grade
   cout << "Final grade is " << finalGrade
		<< " or " << letterGrade << endl;
}
