/*--------------------------- sentinel.cc ----------------------------
  Calculates sum and mean of unspecified amount of numbers
  	Illustrates sentinel-controlled loop idiom.
  Programmer: John Chapman and Glenn D. Blank
  For chapter 7 of "The Universal Machine" (multimedia)
  Copyright (C) WCB/McGraw-Hill, 1998
--------------------------------------------------------------------*/
#include <iostream.h>

void main()
{
  int x;       //input values
  int sum=0;   //sum of input values
  int count=0; //count up values for mean
  cout << "Enter values to sum up. Signal end with a -1" << endl;
  cin >> x;    //initial READ
  while (x != -1)     //watch for sentinel
  //invariant: x >= 0
  { sum = sum + x;   //DO body
    count++;	     //increment count
    cin >> x;        //Second READ
  }
  cout << endl << "Your sum is: " << sum << endl;
  cout << "Your mean is: " << sum / count << endl;
}
